Subject: Re: arm64: pseudo NMI bootconfig question

From: Breno Leitao <[email-masked]>
Date: Tue, 24 Mar 2026 06:43:48 -0700

Hello Masami,

On Fri, Mar 20, 2026 at 01:03:16PM +0900, Masami Hiramatsu wrote:
> On Thu, 19 Mar 2026 08:20:27 -0700> Breno Leitao <[email-masked]> wrote:
> > On Thu, Nov 13, 2025 at 02:37:22AM -0800, Breno Leitao wrote:
> > > On Thu, Nov 13, 2025 at 01:34:03PM +0900, Masami Hiramatsu wrote:
> > >
> > > Another possible solution would be to load bootconfig earlier in the
> > > boot process so that early parameters can be defined within bootconfig.
> > > Petr suggested this approach some time back, but it doesn't appear to
> > > have made it upstream.
> > >
> > > https://lore.kernel.org/all/[email-masked]/
> > >
> > > I'm not fully up to speed on the details of this change, so I want to
> > > ask directly: Would Petr's approach—allowing early parameters to be set
> > > via bootconfig make sense from a bootconfig design perspective?
> >
> > Would it be worthwhile for me to take Petr's patch, update it to the
> > current codebase, address any issues, and verify that it resolves the
> > problem described above? If so, would you be open to reviewing and
> > potentially accepting such a patch?
>
> Hmm, let me recheck it. But the thread seems suspended.
> Can you or Petr continue to work on this?

Thank you for the feedback.

I reviewed Petr's patch and decided to take a more focused approach that
specifically addresses the early parameter issue, which is currently
biting me.

I'd appreciate your thoughts on whether this direction properly solves
the problem, and we can continue the discussion there.

https://lore.kernel.org/all/[email-masked]/